> ## Documentation Index
> Fetch the complete documentation index at: https://docs.llm-stats.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Rankings



## OpenAPI

````yaml https://api.llm-stats.com/stats/openapi.json get /v1/rankings
openapi: 3.1.0
info:
  title: LLM Stats API
  description: Public API for querying AI model benchmarks, scores, rankings, and pricing.
  version: 1.0.0
servers:
  - url: /stats
security: []
paths:
  /v1/rankings:
    get:
      summary: Get Rankings
      operationId: get_rankings_v1_rankings_get
      parameters:
        - name: category
          in: query
          required: true
          schema:
            type: string
            description: Category ID (coding, math, reasoning, etc.)
            title: Category
          description: Category ID (coding, math, reasoning, etc.)
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 50
            minimum: 1
            default: 10
            title: Limit
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RankingsResponse'
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    RankingsResponse:
      properties:
        category:
          type: string
          title: Category
        method:
          type: string
          title: Method
          default: trueskill
        ranked_at:
          type: string
          format: date-time
          title: Ranked At
        models:
          items:
            $ref: '#/components/schemas/RankedModel'
          type: array
          title: Models
      type: object
      required:
        - category
        - ranked_at
        - models
      title: RankingsResponse
    ErrorResponse:
      properties:
        error:
          $ref: '#/components/schemas/ErrorDetail'
      type: object
      required:
        - error
      title: ErrorResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    RankedModel:
      properties:
        rank:
          type: integer
          title: Rank
        model_id:
          type: string
          title: Model Id
        model_name:
          type: string
          title: Model Name
        organization:
          type: string
          title: Organization
        score:
          type: number
          title: Score
        conservative_rating:
          type: number
          title: Conservative Rating
        open_weight:
          type: boolean
          title: Open Weight
        min_input_price:
          anyOf:
            - type: number
            - type: 'null'
          title: Min Input Price
        benchmarks_evaluated:
          type: integer
          title: Benchmarks Evaluated
        source:
          type: string
          title: Source
        url:
          type: string
          title: Url
      type: object
      required:
        - rank
        - model_id
        - model_name
        - organization
        - score
        - conservative_rating
        - open_weight
        - benchmarks_evaluated
        - source
        - url
      title: RankedModel
    ErrorDetail:
      properties:
        code:
          type: string
          title: Code
        message:
          type: string
          title: Message
        param:
          anyOf:
            - type: string
            - type: 'null'
          title: Param
        help_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Help Url
      type: object
      required:
        - code
        - message
      title: ErrorDetail
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````